¿GitHub está funcionando para usted en este momento o es un problema del navegador Firefox OS X 10.7?

EDITAR : Para responder rápidamente a mi pregunta, vea la edición inferior.

Olvidé mi cuenta de GitHub, así que intenté restablecer mi contraseña. Sin embargo, no estoy recibiendo ningún correo electrónico. Lo intenté de nuevo, pero fue en vano.

Así que pensé en crear una nueva cuenta de GitHub …

Estoy en https://github.com/join , completando nombre de usuario, correo electrónico y contraseña. Sin embargo, bajo el encabezado Verificar cuenta, este gif es solo un bucle. Me imagino que un reCAPTCHA debería cargar … ¿verdad?

GitHub está mostrando este mensaje en la página web:

Please note that GitHub no longer supports old versions of Firefox.

Estoy ejecutando Mac OS X 10.7 (Lion) con la versión más actualizada de Firefox que puede ejecutar.

Pregunta: ¿Se trata de un problema de Firefox / 10.7 Lion o de GitHub en este momento?

EDITAR : Una simple prueba de fuego para responder definitivamente a mi pregunta sería hacer una (o ambas de las siguientes):

1) Vaya a https://github.com/password_reset y vea si recibe un correo electrónico (no lo hice). No se restablecerá mientras no haga clic en el correo electrónico.

2) Vaya a https://github.com/join y vea si el gif de carga bajo el encabezado Verificar cuenta cambia a otra cosa.

Es un problema con OS X 10.7 en el sentido de que este sistema operativo es muy antiguo y (lo más importante) no es compatible.

Como no es compatible, Mozilla ha decidido no admitir las versiones recientes de Firefox en este sistema operativo. Esto es similar a las decisiones tomadas por Google, Apple y otros proveedores de navegadores.

Como GitHub requiere Firefox más nuevo, y Firefox más nuevo requiere OS X más nuevo, básicamente estás atascado. Debe actualizar OS X para continuar, o si no puede hacerlo, actualice el hardware o use un sistema operativo diferente.

Nunca querrá usar un sistema operativo que dejó de funcionar hace años (en este caso, octubre de 2014). El riesgo de seguridad es muy alto, y el inicio de sesión en sitios generalmente sensibles como GitHub no debe realizarse desde un entorno no compatible.

En lo que respecta a su edición, GitHub funciona bien si lo usa con un sistema moderno. NO es porque la página de unión de GitHub está rota o abajo.